Bug 475877 - Subscribe to exclusive queue owned by another session does not fail as expected
Subscribe to exclusive queue owned by another session does not fail as expected
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
urgent Severity high
: 1.1
: ---
Assigned To: Gordon Sim
Frantisek Reznicek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 16:36 EST by Gordon Sim
Modified: 2015-11-15 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 10:35:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Sim 2008-12-10 16:36:00 EST
If a messageSubscriber is issued for a queue that is exclusive to another session, the subscribe request should fail. Testing against qpidd-0.3.722891-2, this appears not to be enforced.
Comment 1 Gordon Sim 2008-12-10 18:27:54 EST
Fixed in r725483 which includes extensions to test_declare_exclusive in the python tests (queue.py).
Comment 3 Frantisek Reznicek 2009-01-07 04:31:16 EST
Bug has been fixed, manually validated on RHEL 4.7 / 5.2 i386 / x86_64  on source revision r731982. Normally validated by qpid_compilation_tests RHTS test.
->VERIFIED
Comment 5 errata-xmlrpc 2009-02-04 10:35:33 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0035.html

Note You need to log in before you can comment on or make changes to this bug.